Bug 178152 - touchpad motion causes: browser to 'page back', Konsole to scroll, etc.
touchpad motion causes: browser to 'page back', Konsole to scroll, etc.
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Ben Levenson
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-01-17 21:39 EST by Fulko Hew
Modified: 2008-10-23 03:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-23 03:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg log file attached as per request (39.49 KB, text/plain)
2007-10-16 08:48 EDT, Fulko Hew
no flags Details
Xorg conf file attached as per request (1007 bytes, text/plain)
2007-10-16 08:48 EDT, Fulko Hew
no flags Details

  None (edit)
Description Fulko Hew 2006-01-17 21:39:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030708

Description of problem:
It seems as though 'mouse gestures' are permanently enabled.

a) When I use the touchpad to click on an item, say the menu,
  it will pop up, but as soon as I touch the mousepad again
  to move along the menu, it acts as though I clicked the
  menu button again, so the menu pops down.

b) Sometimes I might get so far as being able to click on the
  logout option.  The logout/shutdown window appears and the
  screen starts to darken the background, but as soon as I
  touch the mouse pad to move the pointer over to click on
  the 'logout' button, it aborts the logout request, and
  removes the window.

c) In Firefox, probably about 80% of the time, when I touch the
  touchpad to move the mouse 'up and to the left' (to get to a
  hyperlink), the browser acts as though I pushed the 'back' button.

d) Sometimes when I use the touchpad to move the curor 'up and left'
  in a "Konsole" window, then window acts (scrolls) as though I was
  dragging the scroll bar up.

All this sounds like 'mouse gestures' to me, so I went into
the KDE Control Center, and disabled 'gestures' in:

- accessibility,
- Input Actions
  - disable mouse gestures globaly,
  - in Actions->Konqueror gestures, I editied each entry and
    explicitly disable each and every one.

But nothing has stopped this behaviour.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
see description

Actual Results:  see description

Expected Results:  Application functions should not be activated until a widget is explicitly

Additional info:
Comment 1 Fulko Hew 2006-01-18 18:36:28 EST
The version of kde3base was incorrectly reported in the original bug submission
the actual release should read: kdebase-3.5.0-0.1.fc4
Comment 2 Fulko Hew 2006-03-23 12:07:25 EST
This behaviour is apparently due to a change in the Xorg configuration of the
Synaptic driver.

VertScrollDelta and HorzScrollDelta are now set to a non-zero value.
Setting them to 0 restores normal operation.

I do not know if this change occured as a result of:
a) moving to Xorg versus Xfree, or
b) due to a new version of Synaptic configuration, or
c) new features in the Synaptic configuration.

However the defaults 'as shipped' make the touch pad unusable, and the defaults
should be set to '0'.

This behaviour also appears to exist for FC5, although I have not yet confirmed
if a the same configuration change will correct the problem.
Comment 3 Matěj Cepl 2007-07-03 09:50:48 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matěj Cepl 2007-08-03 09:33:18 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.
Comment 5 Fulko Hew 2007-10-14 20:44:54 EDT
The same symptom occurs with F8 T3 as per my description/comment #2.
Comment 6 Matěj Cepl 2007-10-15 09:38:33 EDT
Reporter, I am really sorry, I am either blind of stupid but I don't see
anything about F8T3 in the comment from 2006-03-23. Nevertheless, reassigning to
proper people and reopening this bug.

Could you please attach to this bug /var/log/Xorg.0.log and /etc/X11/xorg.conf
from the F8t3 system presenting this issue?

Thank you very much.
Comment 7 Fulko Hew 2007-10-16 08:48:05 EDT
Created attachment 228721 [details]
Xorg log file attached as per request
Comment 8 Fulko Hew 2007-10-16 08:48:47 EDT
Created attachment 228731 [details]
Xorg conf file attached as per request
Comment 9 Fulko Hew 2007-10-16 08:56:34 EDT
You are not crazy, I did not mention F8T3 in comment #2.

I was asked to reconfirm that this issue still ocured with a 'recent'
distribution... so I am.

The symptom (and its cause and its resolution) that is described in comment #2,
still occurs with F8T3.  Although I have not re-attempted the resolution
(described in comment #2) to F8T3, I am confident that it will fix the problem,
because it had fixed the problem in all releases since I first submitted this
bugzilla entry.

The important issues are that:

a) VertScrollDelta and HorzScrollDelta are now shipped, set to a non-zero value.
b) Reverting them to 0 restores normal/correct operation.
Comment 10 CrisC 2008-02-25 07:04:57 EST
I'm seeing the same erratic touchpad behaviour with a new install of RHEL5 U1.

xorg.conf does not have the VertScrollDelta or HorzScrollDelta in the original
file at all.

Adding them with values set to zero doesn't fix the problem.

It behaves like mouse gestures are enabled (Firefox goes back/forward depending
on the area of the touchpad right/bottom used).

I can post the xorg.conf if it helps.
Comment 11 Peter Hutterer 2008-09-24 01:55:27 EDT
Fulko, can you please give us an update if this is still an issue. Preferably with F9 or F10. Thanks.
Comment 12 Fulko Hew 2008-09-25 00:03:15 EDT
Retested against 'Fedora-10-Alpha-i686-Live-KDE.iso' and the problem did not appear to exist.  I guess if you wait almost two year, the problem may just 'go away'.  <sarcasm off>

Note You need to log in before you can comment on or make changes to this bug.